<%@ page contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<fmt:setLocale value="RU"/>

<script type="text/javascript">

function checkAutopayment( form )
{
	var mode = form.mode.value;
	var title = "Ошибка"; 
	var okTitle = "Подтверждение";
	var message;
	var okMessage = "Для активации Автоплатежа необходимо совершить платеж по карте.<br><br>Перейти на сайт платежной системы?";
	var buttons = "close";
	var okButtons = "yesCancel";
	if ( mode == '0' )
	{
		title = okTitle;
		message = "Отключение Автоплатежа приведет к отзыву разрешения на списание средств в платежной системе.<br><br>Отменить?";
		buttons = okButtons;
	}
	<c:if test="${dataMap['autopayment.mode.week.enable']}">
	if ( mode == '1' )
	{
		message = checkSum( form.weekSum.value, ${dataMap['autopayment.mode.week.sum.min']}, ${dataMap['autopayment.mode.week.sum.max']} ); 
	}
	</c:if>
	<c:if test="${dataMap['autopayment.mode.month.enable']}">
	if ( mode == '2' )
	{
		var day = parseInt(form.dayOfMonth.value);
		if ( isNaN(day) || day < 1 || day > 31 )
		{
			message = "Число месяца должно быть в диапазоне от 1 до 31";
		}
		else
		{
			message = checkSum( form.monthSum.value, ${dataMap['autopayment.mode.month.sum.min']}, ${dataMap['autopayment.mode.month.sum.max']} ); 
		}
	}
	</c:if>
	<c:if test="${dataMap['autopayment.mode.auto.enable']}">
	if ( mode == '3' )
	{
		message = checkSum( form.maxDaySum.value, 0, ${dataMap['autopayment.mode.auto.day.sum.max']} );
		if ( message == undefined )
		{
			message = checkSum( form.maxWeekSum.value, 0, ${dataMap['autopayment.mode.auto.week.sum.max']} );
			if ( message == undefined )
			{
				message = checkSum( form.maxMonthSum.value, 0, ${dataMap['autopayment.mode.auto.month.sum.max']} );
			}
		}
	}
	</c:if>
	if ( message == undefined )
	{
		message = okMessage;
		buttons = okButtons;
	}
	jQuery("#autopaymentDialog div").html(message);
	var dialog = jQuery("#autopaymentDialog").dialog({ autoOpen: false, closeOnEscape: true, dialogClass: "autopaymentDialog", draggable: false, height: "auto", width: 500, modal: true, resizable: false });
	if ( buttons == "close" )
	{
		dialog.dialog( "option", "buttons", {"Закрыть": function(e) { jQuery(this).dialog("destroy"); } } )
	}
	else
	{
		dialog.dialog( "option", "buttons", {"Да": function(e) { jQuery('form.autopayment').submit(); }, "Отмена": function(e) { jQuery(this).dialog("destroy"); } } )
	}
	dialog.dialog("open");
	return false;
}

</script>

<table class="tableFont tableWidth">
  <tr>
    <td style="padding: 0px;">
		<c:set var="paymentName" value="sberbank" scope="request" />
		<c:set var="paymentPayText" scope="request">Платежный сервис Сбербанка</c:set>
		<jsp:include page="../include/payment_tabs.jsp"/>
		<jsp:include page="../include/payment_pay.jsp"/>
		<jsp:include page="../include/payment_auto.jsp"/>
	</td>
	<td style="width: 20px;">&nbsp;</td>
    <td style="vertical-align: top; text-align: right; padding: 0;"><div class="bgBalanceInformerWidget"></div></td>
  </tr>
</table>

<div style="margin-top: 20px;">
	<form method="GET" action="" id="sberbankListForm" >
		<input type="hidden" name="action" value="${action}">
		<input type="hidden" name="module" value="${module}">
		<input type="hidden" name="mid" value="${mid}">
		<input type="hidden" name="status" value="${dataMap['status']}">
		<input type="hidden" name="month" value="${dataMap['month']}">
		<input type="hidden" name="year" value="${dataMap['year']}">
		<input type="hidden" name="pageIndex" value="${dataMap['page'].pageIndex}" />
		<input type="hidden" name="pageSize" value="${dataMap['page'].pageSize}" />
	</form>

	<table class="tableFont tableWidth">
	  <tr>
		<td><div class="bgMonthAndYearWidget" formId="sberbankListForm" month="${dataMap['month']}" year="${dataMap['year']}" ></div></td>
		<td style="text-align: right;"><div class="bgPagesWidget" formId="sberbankListForm" recordCount="${dataMap['page'].recordCount}" pageIndex="${dataMap['page'].pageIndex}" pageSize="${dataMap['page'].pageSize}" pageCount="${dataMap['page'].pageCount}" /></td>
	  </tr>
	  <tr>
	  	<td><div style="display: none;">Статус: <select onchange="jQuery('#sberbankListForm')[0].status.value=this.value;jQuery('#sberbankListForm')[0].submit();">
	  	<c:forEach var="item" items="${dataMap['statusList']}">
	  	<c:set var="selected"><c:if test="${item.code eq dataMap['status']}">selected="1"</c:if> </c:set>
	  	<option value="${item.code}"${selected}>${item.title}</option>
	  	</c:forEach>
	  	</select></div></td>
	  	<td style="text-align: right;"><div>[<a href="#" onclick="jQuery(this).parent().hide().next().show().parent().prev().children().show();">показать допол. фильтры</a>]</div><div style="display: none;">[<a href="#" onclick="jQuery(this).parent().hide().prev().show().parent().prev().children().hide();">скрыть допол. фильтры</a>]</div></td>
	  </tr>
	</table>

	<table class="table tableFont tableWidth" style="border-radius: 20px;">
		<thead>
			<tr>
				<td width="50">№</td>
				<td width="150">Дата/Время оплаты</td>
				<td>Статус</td>
				<td width="150">Сумма</td>
			</tr>
		</thead>
		<tbody>
		<c:choose>
		<c:when test="${not empty dataMap['paymentList']}">
			<c:forEach var="item" items="${dataMap['paymentList']}">
				<tr>
					<td>${item.id}</td>
					<c:choose>
						<c:when test="${not empty item.transactionDate}"><td><fmt:formatDate value="${item.transactionDate}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /></td></c:when>
						<c:otherwise><td><fmt:formatDate value="${item.createDate}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /></td></c:otherwise>
					</c:choose>
					<td><c:forEach var="statusItem" items="${dataMap['statusList']}"><c:if test="${item.status eq statusItem.code}">${statusItem.title}</c:if></c:forEach></td>
					<td><fmt:formatNumber value="${item.sum}" minFractionDigits="2" /></td>
				</tr>
			</c:forEach>
		</c:when>
		<c:otherwise>
			<tr><td colspan="5" style="text-align: center;">Записи не найдены.</td></tr>
		</c:otherwise>
		</c:choose>
		</tbody>
	</table>
</div>